﻿@page "/level1"
<link rel="stylesheet" href="./css/styles.css">

    @if (isLevelStarted)
    {
        <div class="parent">
            <div class="left-section">
                <img style="display: flex; width: 300px; height: 300px;" src="monkey.png" alt="Your hero">
            </div>
            <div class="right-section">
            <img style="display: flex; width: 300px; height: 300px;" src="rainbow-baloon.png" alt="Your enemy">
            </div>
        </div>
        <section class="hero-button-container">
            <button class="btn btn-primary hero-button">Default attack</button>
            <button disabled class="btn btn-warning hero-button">Magic attack</button>
            <button disabled class="btn btn-danger hero-button">Block</button>
        </section>
    }
    else
    {
        <div style="display:flex; width:100%; height: 100vh; position: absolute; align-items: center; justify-content: center;">
            <button class="btn btn-outline-primary" @onclick = "() => StartLevel()">Start level</button>
        
        </div>
    }



@code {
    private bool isLevelStarted = false;

    public void StartLevel()
    {
        isLevelStarted = true;
    }
}
